<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="14dp"
    android:layout_marginTop="12dp"
    android:layout_marginRight="14dp"
    android:background="@drawable/bg_white_10dp">

    <TextView
        android:textStyle="bold"
        android:id="@+id/tv_status_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:layout_marginTop="9dp"
        android:text="课程状态"
        android:textColor="@color/color_333333"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_course_status_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="7dp"
        android:background="@drawable/shape_ffeee3_15dp_left"
        android:gravity="center"
        android:paddingStart="12dp"
        android:paddingTop="3dp"
        android:paddingEnd="12dp"
        android:paddingBottom="3dp"
        android:text="未上架"
        android:textColor="@color/color_ff4e19"
        android:textSize="@dimen/sp_10"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.cooleshow.base.widgets.QMUIRadiusImageView
        android:id="@+id/im_pic"
        android:layout_width="@dimen/dp_105"
        android:layout_height="@dimen/dp_71"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="11dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_status_title"
        app:qmui_corner_radius="5dp" />

    <TextView
        android:id="@+id/subject_name"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_13"
        android:layout_marginStart="@dimen/dp_3"
        android:layout_marginBottom="@dimen/dp_4"
        android:background="@drawable/gray_1_radius_bg"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingStart="@dimen/dp_3"
        android:paddingEnd="@dimen/dp_3"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_9"
        app:layout_constraintBottom_toBottomOf="@+id/im_pic"
        app:layout_constraintLeft_toLeftOf="@+id/im_pic"
        tools:text="单簧管" />

    <TextView
        android:id="@+id/tv_course_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginEnd="14dp"
        android:ellipsize="end"
        android:maxLines="2"
        android:text="从零开始学竖笛直播课"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_15"
        app:layout_constraintLeft_toRightOf="@+id/im_pic"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/im_pic" />

    <TextView
        android:id="@+id/tv_price"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="11dp"
        android:paddingStart="14dp"
        android:text="￥120"
        android:textColor="@color/color_ff0000"
        android:textSize="@dimen/sp_15"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/im_pic"
        app:layout_constraintLeft_toRightOf="@+id/im_pic" />

    <TextView
        android:id="@+id/tv_price_unit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="11dp"
        android:paddingStart="7dp"
        android:text="/4课时"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_14"
        app:layout_constraintBaseline_toBaselineOf="@+id/tv_price"
        app:layout_constraintLeft_toRightOf="@+id/tv_price" />


    <TextView
        android:id="@+id/tv_student_count"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginEnd="14dp"
        android:text="6人已购买"
        android:textColor="@color/color_ff802c"
        android:textSize="@dimen/sp_13"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/view_line1" />

    <View
        android:id="@+id/view_line1"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="9dp"
        android:background="@color/color_f2f2f2"
        app:layout_constraintTop_toBottomOf="@+id/im_pic" />


    <ImageView
        android:id="@+id/im_date"
        android:layout_width="@dimen/dp_16"
        android:layout_height="@dimen/dp_16"
        android:layout_marginTop="10dp"
        android:background="@drawable/icon_live_date_item"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="@+id/im_pic"
        app:layout_constraintTop_toBottomOf="@+id/view_line1" />

    <TextView
        android:layout_marginBottom="10dp"
        android:layout_marginTop="10dp"
        android:id="@+id/tv_date"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="14dp"
        android:text="2021/09/17 14:00~14:25"
        android:textColor="@color/color_666666"
        android:textSize="@dimen/sp_13"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/im_date"
        app:layout_constraintTop_toBottomOf="@+id/view_line1" />
</androidx.constraintlayout.widget.ConstraintLayout>